Bug 479813 - proftpd compiled without mod_wrap, so tcpwrapper usage is not possible
proftpd compiled without mod_wrap, so tcpwrapper usage is not possible
Status: CLOSED CURRENTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: proftpd (Show other bugs)
el5
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-13 05:15 EST by Wouter de Jong
Modified: 2009-04-11 06:10 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.3.2-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-11 06:10:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wouter de Jong 2009-01-13 05:15:21 EST
Description of problem:

mod_wrap* module not compiled in, which makes it rather impossible to use proftpd (at least when running standalone, which is the default) with tcpwrappers.

Version-Release number of selected component (if applicable):

1.3.1-3.el5

How reproducible:

Run proftpd with -l to see the compiled in modules.

Steps to Reproduce:
1. yum install proftpd (from EPEL) on eg. CentOS 5.2
2. /usr/sbin/proftpd -l
3. Confirm that mod_wrap* is not listed there
Comment 1 Matthias Saou 2009-04-06 17:50:49 EDT
I've just rebuilt 1.3.2 final for Fedora devel and included mod_wrap. After some testing, the package will be backported to all other current branches.
Comment 2 Matthias Saou 2009-04-11 06:10:32 EDT
The 1.3.2 package with mod_wrap included is now available in EPEL testing.

Note You need to log in before you can comment on or make changes to this bug.